#ifndef DEPLACEMENTS_H_INCLUDED
#define DEPLACEMENTS_H_INCLUDED

/* Definition des structures */

typedef struct arbre_competence{     /* Abre de comptence */
}






typedef struct competence{      /* Competence d'un arbre de talent */
    unsigned short int id;
    type_nom nom;
    unsigned short int etage;
    struct competence *parent;
    struct competence *enfant_gauche;
    struct competence *enfant_droit;
    struct effet_competence *effet;
    boolean connu;
}competence;

typedef struct effet_competence{        /* Effet d'une comptence de l'arbre */
    unsigned short int id;
    type_nom nom;
    /* effets  dfinir */

}effet_competence;


/* Fonctions */

arbre_competence* init_arbre_competence(arbre_competence *a);

arbre_competence* construire_arbre_competence(arbre_competence* a);

int rafraichir_competences(arbre_competence * a);

boolean est_connue(competence *c);

boolean est_complet(arbre_competence *a);

effet_competence get_effet(competence *c);

int chemin_auto_competence(competence* c);

#endif
